/**
 * @file font_manager.h
 * @author Piotr Krygier (piotrkrygier@everyonencancode.xyz)
 * @brief Font manager. Load fonts from file and render it on the scene
 * @version 0.1
 * @date 2025-10-08
 *
 * @copyright Copyright (c) 2025
 *
 */

#ifndef FONT_MANAGER_H
#define FONT_MANAGER_H

#include "utilities/commons.h"
#include "graphics_context.h"

rse_err_t fonts_init(void);
rse_err_t fonts_load_from_file(struct graphics_context_t* context, const char* file_path, rse_id_t* font_id);
rse_err_t fonts_set_font_size(struct graphics_context_t* context, const rse_id_t font_id, const uint32_t font_size);
rse_err_t print_debug_text(struct graphics_context_t* context, rse_id_t font_id, char *text);

#endif /* FONT_MANAGER_H */
